#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 HTF
version:              0.14.0.7
visibility:           public
id:                   HTF-0.14.0.7-GY8am2cnuYkH5gmFxbNRYF
key:                  HTF-0.14.0.7-GY8am2cnuYkH5gmFxbNRYF
license:              LGPL-2.1-only
copyright:            (c) 2005-2015 Stefan Wehr
maintainer:           Stefan Wehr <wehr@factisresearch.com>
author:               Stefan Wehr <wehr@factisresearch.com>
stability:            Beta
homepage:             https://github.com/skogsbaer/HTF/
synopsis:             The Haskell Test Framework
description:
    The Haskell Test Framework (/HTF/ for short) lets you define unit
    tests (<http://hunit.sourceforge.net>), QuickCheck properties
    (<http://www.cs.chalmers.se/~rjmh/QuickCheck/>), and black box
    tests in an easy and convenient way. HTF uses a custom
    preprocessor that collects test definitions automatically.
    Furthermore, the preprocessor allows HTF to report failing
    test cases with exact file name and line number information.
    Additionally, HTF tries to produce highly readable output
    for failing tests: for example, it colors and pretty prints expected and
    actual results and provides a diff between the two values.

    The documentation of the "Test.Framework.Tutorial" module
    provides a tutorial for HTF. There is also a slightly out-dated
    blog article (<http://factisresearch.blogspot.de/2011/10/new-version-of-htf-with-diffs-colors.html>)
    demonstrating HTF'\''s coloring, pretty-printing and diff functionality.

category:             Testing
abi:                  798c3301aafe9aa4962527cd2d43f480
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.AssertM Test.Framework.BlackBoxTest
    Test.Framework.CmdlineOptions Test.Framework.Colors
    Test.Framework.HUnitWrapper Test.Framework.History
    Test.Framework.JsonOutput Test.Framework.Location
    Test.Framework.Preprocessor Test.Framework.Pretty
    Test.Framework.PrettyHaskell Test.Framework.QuickCheckWrapper
    Test.Framework.TestInterface Test.Framework.TestManager
    Test.Framework.TestReporter Test.Framework.TestTypes
    Test.Framework.ThreadPool Test.Framework.Tutorial
    Test.Framework.XmlOutput

hidden-modules:
    Paths_HTF Test.Framework.Utils Test.Framework.Diff
    Test.Framework.Process

import-dirs:          /usr/lib/ghc-9.0.2/site-local/HTF-0.14.0.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/HTF-0.14.0.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-htf
hs-libraries:         HSHTF-0.14.0.7-GY8am2cnuYkH5gmFxbNRYF
depends:
    Diff-0.4.1-J6GuKqtN1l33ULJqUXe86
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-CbbtdECldQDI2rMaygQqRk
    aeson-1.5.6.0-GPWvhAQgIGG4VU1uuCFc2a array-0.5.4.0 base-4.15.1.0
    base64-bytestring-1.2.1.0-5AikjPjrwwF1O4N2Z5RdaZ
    bytestring-0.10.12.1 containers-0.6.4.1
    cpphs-1.20.9.1-1jAFiSyqcHj3RbgQIQP02q directory-1.3.6.2
    haskell-src-1.0.4-2z6WzAZgRhX9F6juNqCnCt
    lifted-base-0.2.3.12-CJKhhmcwxr54YxSmhmwOCE
    monad-control-1.0.3.1-FGjA8caZkEqEUrbsie6mCZ mtl-2.2.2
    old-time-1.1.0.3-B4Ro2AUl5kn1VzPHPQkaoe pretty-1.1.3.6
    process-1.6.13.2 random-1.2.1-5U0YGsolfl8IMYyd70msQI
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix text-1.2.5.0 time-1.9.3
    unix-2.7.2.2 vector-0.12.3.1-AXj2d06Eo3d7wImXBgXWju
    xmlgen-0.6.2.2-JumiqVKBFrJKM7NHWx9gWC

haddock-interfaces:   /usr/share/doc/haskell-htf/html/HTF.haddock
haddock-html:         /usr/share/doc/haskell-htf/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

